Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.memdao
Class BpelDAOConnectionFactoryImpl

    java.lang.Object
      org.apache.ode.bpel.memdao.BpelDAOConnectionFactoryImpl

All Implemented Interfaces:
  BpelDAOConnectionFactory

    public class BpelDAOConnectionFactoryImpl

extends java.lang.Object
implements BpelDAOConnectionFactory

Connection factory for the in-memory state store.

Constructor Summary
`BpelDAOConnectionFactoryImpl(Scheduler sched)`
`BpelDAOConnectionFactoryImpl(Scheduler sched, long ttl)`

Method Summary
`BpelDAOConnection` | `getConnection()` Create a JTA transaction-aware state store connection to an the state store.
`javax.sql.DataSource` | `getDataSource()`
`void` | `init(java.util.Properties properties)` Initializes connection factory with properties required to establish a connection.
`void` | `shutdown()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BpelDAOConnectionFactoryImpl

    public BpelDAOConnectionFactoryImpl(Scheduler sched)

### BpelDAOConnectionFactoryImpl

    public BpelDAOConnectionFactoryImpl(Scheduler sched,
                                        long ttl)

Method Detail

### getConnection

    public BpelDAOConnection getConnection()

  Description copied from interface: `BpelDAOConnectionFactory`
  Create a JTA transaction-aware state store connection to an the state store. The state store must have previously been created in order for this method to be succesful.

  Specified by:
    `getConnection` in interface `BpelDAOConnectionFactory`
  Returns:
    a `BpelDAOConnection` connection object to the state store.

### init

    public void init(java.util.Properties properties)

  Description copied from interface: `BpelDAOConnectionFactory`
  Initializes connection factory with properties required to establish a connection.

  Specified by:
    `init` in interface `BpelDAOConnectionFactory`
  See Also:
    `BpelDAOConnectionFactory.init(java.util.Properties)`

### shutdown

    public void shutdown()

  Specified by:
    `shutdown` in interface `BpelDAOConnectionFactory`

### getDataSource

    public javax.sql.DataSource getDataSource()

  Specified by:
    `getDataSource` in interface `BpelDAOConnectionFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD